/*
 * SingleInitialState.cpp
 *
 *  Created on: 20. 9. 2014
 *	  Author: Tomas Pecka
 */

#include "SingleInitialState.h"
#include <registration/AlgoRegistration.hpp>

namespace {

auto SingleInitialStateMultiInitialStateNFA = registration::AbstractRegister < automaton::simplify::SingleInitialState, automaton::NFA < >, const automaton::MultiInitialStateNFA < > & > ( automaton::simplify::SingleInitialState::convert );
auto SingleInitialStateMultiInitialStateEpsilonNFA = registration::AbstractRegister < automaton::simplify::SingleInitialState, automaton::EpsilonNFA < >, const automaton::MultiInitialStateEpsilonNFA < > & > ( automaton::simplify::SingleInitialState::convert );
auto SingleInitialStateDFA = registration::AbstractRegister < automaton::simplify::SingleInitialState, automaton::DFA < >, const automaton::DFA < > & > ( automaton::simplify::SingleInitialState::convert );
auto SingleInitialStateEpsilonNFA = registration::AbstractRegister < automaton::simplify::SingleInitialState, automaton::EpsilonNFA < >, const automaton::EpsilonNFA < > & > ( automaton::simplify::SingleInitialState::convert );
auto SingleInitialStateNFA = registration::AbstractRegister < automaton::simplify::SingleInitialState, automaton::NFA < >, const automaton::NFA < > & > ( automaton::simplify::SingleInitialState::convert );
auto SingleInitialStateCompactNFA = registration::AbstractRegister < automaton::simplify::SingleInitialState, automaton::CompactNFA < >, const automaton::CompactNFA < > & > ( automaton::simplify::SingleInitialState::convert );
auto SingleInitialStateExtendedNFA = registration::AbstractRegister < automaton::simplify::SingleInitialState, automaton::ExtendedNFA < >, const automaton::ExtendedNFA < > & > ( automaton::simplify::SingleInitialState::convert );

} /* namespace */
