/*
 * Rename.h
 *
 *  Created on: Sep 27, 2016
 *      Author: Tomas Pecka
 */

#ifndef RENAME_GRAMMAR_H_
#define RENAME_GRAMMAR_H_

#include <grammar/Regular/LeftRG.h>
#include <grammar/Regular/RightRG.h>

namespace grammar {

namespace simplify {

class Rename {
public:
	static grammar::RightRG < > rename ( const grammar::RightRG < > & grammar );
	static grammar::LeftRG < > rename ( const grammar::LeftRG < > & grammar );
};

} /* namespace simplify */

} /* namespace grammar */

#endif /* RENAME_GRAMMAR_H_ */
