/*
 * GeneralizedLevenshteinDynamicProgramming.cpp
 *
 *  Created on: 4. 5. 2018
 *      Author: Tomas Capek
 */

#include "GeneralizedLevenshteinDynamicProgramming.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace simulations {

auto GeneralizedLevenshteinDynamicProgrammingLinearString = registration::AbstractRegister < GeneralizedLevenshteinDynamicProgramming, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > &, unsigned > ( GeneralizedLevenshteinDynamicProgramming::search );

} /* namespace simulations */

} /* namespace stringology */
