/*
 * CompactNFA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "CompactNFA.h"
#include <automaton/Automaton.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < automaton::CompactNFA < > > ( );
static auto xmlRead = registration::XmlReaderRegister < automaton::CompactNFA < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < automaton::Automaton, automaton::CompactNFA < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, automaton::CompactNFA < > > ( );

} /* namespace */
