#include "TupleTest.h"
#include <alib/tuple>
#include <sstream>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( TupleTest, "bits" );
CPPUNIT_TEST_SUITE_REGISTRATION( TupleTest );

void TupleTest::setUp() {
}

void TupleTest::tearDown() {
}

void TupleTest::testCallOnNth() {
	ext::tuple < int, int, int, int, int > t = ext::make_tuple ( 1, 2, 3, 4, 5 );

	CPPUNIT_ASSERT ( ext::call_on_nth < int > ( t, 1, [] ( int i ) { return i; } ) == 2 );

	std::stringstream ss;
	ss << t;
	std::cout << ss.str ( ) << std::endl;
	CPPUNIT_ASSERT ( ss.str ( ) == "(1, 2, 3, 4, 5)" );
}

