/*
 * RankedSymbol.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "RankedSymbol.h"
#include <object/Object.h>
#include <object/string/AnyObject.h>
#include <alphabet/Symbol.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < alphabet::Symbol, alphabet::RankedSymbol < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < object::Object, alphabet::RankedSymbol < > > ( );

static auto stringWrite3 = registration::StringWriterRegister < object::Object, object::AnyObject < common::ranked_symbol < > > > ( );

} /* namespace */
