/*
 * NonContractingGrammar.cpp
 *
 * Created on: Sep 27, 2017
 * Author: Jan Travnicek
 */

#include "NonContractingGrammar.h"
#include <grammar/Grammar.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < grammar::Grammar, grammar::NonContractingGrammar < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < object::Object, grammar::NonContractingGrammar < > > ( );

static auto stringReader = registration::StringReaderRegister < grammar::Grammar, grammar::NonContractingGrammar < > > ( );

} /* namespace */
