/*
 * Deque.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsDeque.h"
#include <container/Container.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < container::ObjectsDeque < > > ( );
static auto xmlReader = registration::XmlReaderRegister < container::ObjectsDeque < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < container::Container, container::ObjectsDeque < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, container::ObjectsDeque < > > ( );

} /* namespace */
