/*
 * ReversedBoyerMooreHorspool.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "ReversedBoyerMooreHorspool.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace exact {

auto ReversedBoyerMooreHorspoolPrefixRankedBarTreePrefixRankedBarTree = registration::AbstractRegister < ReversedBoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarTree < > & > ( ReversedBoyerMooreHorspool::match );
auto ReversedBoyerMooreHorspoolPrefixRankedBarTreePrefixRankedBarPattern = registration::AbstractRegister < ReversedBoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarPattern < > & > ( ReversedBoyerMooreHorspool::match );
auto ReversedBoyerMooreHorspoolPrefixRankedBarTreePrefixRankedBarNonlinearPattern = registration::AbstractRegister < ReversedBoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedBarTree < > &, const tree::PrefixRankedBarNonlinearPattern < > & > ( ReversedBoyerMooreHorspool::match );
auto ReversedBoyerMooreHorspoolPrefixRankedBarTreePrefixRankedTree = registration::AbstractRegister < ReversedBoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedTree < > & > ( ReversedBoyerMooreHorspool::match );
auto ReversedBoyerMooreHorspoolPrefixRankedBarTreePrefixRankedPattern = registration::AbstractRegister < ReversedBoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedPattern < > & > ( ReversedBoyerMooreHorspool::match );
auto ReversedBoyerMooreHorspoolPrefixRankedBarTreePrefixRankedNonlinearPattern = registration::AbstractRegister < ReversedBoyerMooreHorspool, ext::set < unsigned >, const tree::PrefixRankedTree < > &, const tree::PrefixRankedNonlinearPattern < > & > ( ReversedBoyerMooreHorspool::match );

} /* namespace exact */

} /* namespace arbology */
