/*
 * EpsilonRemoverIncoming.cpp
 *
 *  Created on: 24. 11. 2014
 *	  Author: Jan Travnicek
 */

#include "EpsilonRemoverIncoming.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

auto EpsilonRemoverIncomingDFA = registration::AbstractRegister < EpsilonRemoverIncoming, automaton::DFA < >, const automaton::DFA < > & > ( EpsilonRemoverIncoming::remove );
auto EpsilonRemoverIncomingMultiInitialStateNFA = registration::AbstractRegister < EpsilonRemoverIncoming, automaton::MultiInitialStateNFA < > , const automaton::MultiInitialStateNFA < > & > ( EpsilonRemoverIncoming::remove );
auto EpsilonRemoverIncomingNFA = registration::AbstractRegister < EpsilonRemoverIncoming, automaton::NFA < > , const automaton::NFA < > & > ( EpsilonRemoverIncoming::remove );
auto EpsilonRemoverIncomingEpsilonNFA = registration::AbstractRegister < EpsilonRemoverIncoming, automaton::NFA < > , const automaton::EpsilonNFA < > & > ( EpsilonRemoverIncoming::remove );

} /* namespace simplify */

} /* namespace automaton */
