/*
 * BoyerMooreHorspool.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka
 */

#include "BoyerMooreHorspool.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace exact {

auto BoyerMooreHorspoolLinearStringLinearString = registration::AbstractRegister < BoyerMooreHorspool, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & > ( BoyerMooreHorspool::match );

} /* namespace exact */

} /* namespace stringology */
