/*
 * LevenshteinBitParalelism.cpp
 *
 *  Created on: 4. 5. 2018
 *      Author: Tomas Capek
 */

#include "LevenshteinBitParalelism.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace simulations {

auto LevenshteinBitParalelismLinearString = registration::AbstractRegister < LevenshteinBitParalelism, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & , unsigned > ( LevenshteinBitParalelism::search );

} /* namespace simulations */

} /* namespace stringology */
