#include "ExactBitParalelismTest.h"

#include <string/LinearString.h>
#include <stringology/simulations/ExactBitParalelism.h>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION ( ExactBitParalelismTest, "bit paralelism" );
CPPUNIT_TEST_SUITE_REGISTRATION ( ExactBitParalelismTest );

void ExactBitParalelismTest::testSimple() {
  auto text = string::LinearString<>("adcabcaabadbbca");
  auto pattern = string::LinearString<>("adbbca");

  ext::set<unsigned int> expected_result = {9};

  CPPUNIT_ASSERT(expected_result == stringology::simulations::ExactBitParalelism::search(text, pattern));
}

void ExactBitParalelismTest::setUp() { }

void ExactBitParalelismTest::tearDown() { }
