/*
 * RankedSymbol.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Stepan Plachy
 */

#include "RankedSymbol.h"
#include <alphabet/Symbol.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < alphabet::RankedSymbol < > > ( );
static auto xmlRead = registration::XmlReaderRegister < alphabet::RankedSymbol < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < alphabet::Symbol, alphabet::RankedSymbol < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, alphabet::RankedSymbol < > > ( );

} /* namespace */
