/*
 * RegExp.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Jan Travnicek
 */

#include "RegExp.h"

namespace regexp {

regexp::RegExp regexpFrom ( const std::string & string ) {
	return regexpFrom ( string::LinearString < char > ( string ) );
}

regexp::RegExp regexpFrom ( const char * string ) {
	return regexpFrom ( std::string ( string ) );
}

regexp::RegExp regexpFrom ( ) {
	return regexp::RegExp { regexp::UnboundedRegExp < > ( regexp::UnboundedRegExpStructure < DefaultSymbolType > ( regexp::UnboundedRegExpEmpty < DefaultSymbolType > { } ) ) };
}

} /* namespace regexp */
