/*
 * String.cpp
 *
 *  Created on: Apr 16, 2013
 *      Author: Jan Travnicek
 */

#include "String.h"

namespace string {

string::String stringFrom ( const std::string & string ) {
	return string::String { core::normalize < string::LinearString < char > >::eval ( string::LinearString < char > { string } ) };
}

string::String stringFrom ( const char * string ) {
	return stringFrom ( ( std::string ) string );
}

} /* namespace string */
