#include "IteratorTest.h"
#include <alib/set>
#include <alib/vector>
#include <alib/pair>
#include <sstream>
#include <alib/istream>
#include <alib/string>
#include <alib/iterator>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( IteratorTest, "bits" );
CPPUNIT_TEST_SUITE_REGISTRATION( IteratorTest );

void IteratorTest::setUp() {
}

void IteratorTest::tearDown() {
}

void IteratorTest::testIterator() {
	std::vector < int * > data;

	data.push_back ( new int ( 1 ) );
	data.push_back ( new int ( 2 ) );
	data.push_back ( new int ( 3 ) );
	data.push_back ( new int ( 4 ) );
	data.push_back ( new int ( 5 ) );

	std::vector < int > ref { 1, 2, 3, 4, 5 };

	bool res = std::equal ( ext::dereferencer ( data.begin ( ) ), ext::dereferencer ( data.end ( ) ), ref.begin ( ), ref.end ( ) );
	CPPUNIT_ASSERT ( res );

	for ( int * elem : data ) {
		delete elem;
	}
}

